PHP-инклюдинг в artmedic newsletter

Дата публикации:
25.05.2006
Дата изменения:
17.10.2006
Всего просмотров:
2886
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2608
CVE-2006-2609
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
artmedic newsletter 4.x
Уязвимые версии: artmedic newsletter 4.1 и 4.1.2, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "logfile" и "email" в сценарии log.php (в версии 4.1) и в сценарии newsletter_log.php (в версии 4.1.2). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена. Пример:

log.php?logfile=info.php&logtime=000060&email=<?%20require($cur);%20echo%20$password%20?>

URL производителя: http://www.artmedic-phpscripts.de/index.php?page=...1250064417

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Remote Code Execution in artmedic Newsletter 4.1 [log.php]

или введите имя

CAPTCHA